const dark = getCookie("dark") === "true";
const pride = new Date().getMonth() === 5;
const loc = $("script").last().attr("src").split("/")[0];

if (dark) {
    document.write( /*html*/ `<link rel="stylesheet" href="${loc}/style/dark.css">`);
    document.write( /*html*/ `<link rel="stylesheet" href="${loc}/style/prettify-dark.css">`);
}
if (pride)
    document.write( /*html*/ `<link rel="stylesheet" href="${loc}/style/pride.css">`);

$(function () {
    let openModals = function (hash) {
        if (hash && hash.startsWith("#")) {
            let modal = $(`${hash}-modal`);
            if (modal.length)
                modal.modal('show');
        }
    }
    openModals(window.location.hash);
    $('a').on('click', function () {
        openModals($(this).attr('href'));
    });

    $('.navbar-collapse a').on('click', function () {
        $('.navbar-collapse').collapse('hide');
    });

    $('#blobheart').on('click', function () {
        $('#navbar-image').attr('src', 'res/heart.jpeg');
    });

    let mode = $('#dark-mode');
    mode.prop('checked', dark);
    mode.on('click', function () {
        setCookie("dark", $(this).prop('checked'), 365);
        window.location.hash = "";
        location.reload();
    });

    PR.prettyPrint();
});